Package be.fgov.ehealth.certra.core.v2

# Class CertificateInfoType

java.lang.Object
be.fgov.ehealth.certra.core.v2.CertificateInfoType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class CertificateInfoType extends Object implements Serializable
Contains all the information about an authentication certificate and encryption token as it exists in the RA database.

Java class for CertificateInfoType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RequestedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
             <element name="CertificateEntity" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateEntityType"/>
             <element name="AuthenticationCertificateStatus" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateStatusType"/>
             <element name="ETKStatus" type="{urn:be:fgov:ehealth:certra:core:v2}ETKStatusType"/>
             <element name="AutomaticallyValidated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="AuthenticationCertificateDetails" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateDetailsType" minOccurs="0"/>
             <element name="Revocable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Replaceable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="ReplacementPeriodStartDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="ContactData" type="{urn:be:fgov:ehealth:certra:core:v2}ContactDataType"/>
             <element name="BaseServiceUsage" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateInfoType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertificateDetailsType`
  `getAuthenticationCertificateDetails()`
  The identification details of the authentication certificate.
  `CertificateStatusType`
  `getAuthenticationCertificateStatus()`
  The status of the authentication certificate
  `List<String>`
  `getBaseServiceUsages()`
  eHealth base services for which this certificate was requested to be used Gets the value of the baseServiceUsages property.
  `CertificateEntityType`
  `getCertificateEntity()`
  Details about the entity for which this certificate was issued.
  `ContactDataType`
  `getContactData()`
  Contact data of the person or organization responsible for this certificate request
  `ETKStatusType`
  `getETKStatus()`
  The status of the encryption token
  `byte[]`
  `getPublicKeyIdentifier()`
  The public key identifier hash value of the authentication certificate.
  `Instant`
  `getReplacementPeriodStartDate()`
  Start date of the period where you are allowed to request a replacement certificate for this certificate.
  `Instant`
  `getRequestedDate()`
  A time stamp that identifies the moment when the certificate was first requested in the web service.
  `boolean`
  `isAutomaticallyValidated()`
  Indicates how the request was validated.
  `boolean`
  `isReplaceable()`
  Can this certificate be replaced right now? When true a replacement certificate can be requested for the same DN using the GenerateCertificate operation
  `boolean`
  `isRevocable()`
  Can the certificate still be revoked? When set to true the Revoke operation may be called for this certificate
  `void`
  `setAuthenticationCertificateDetails(CertificateDetailsType value)`
  Sets the value of the authenticationCertificateDetails property.
  `void`
  `setAuthenticationCertificateStatus(CertificateStatusType value)`
  Sets the value of the authenticationCertificateStatus property.
  `void`
  `setAutomaticallyValidated(boolean value)`
  Sets the value of the automaticallyValidated property.
  `void`
  `setCertificateEntity(CertificateEntityType value)`
  Sets the value of the certificateEntity property.
  `void`
  `setContactData(ContactDataType value)`
  Sets the value of the contactData property.
  `void`
  `setETKStatus(ETKStatusType value)`
  Sets the value of the etkStatus property.
  `void`
  `setPublicKeyIdentifier(byte[] value)`
  Sets the value of the publicKeyIdentifier property.
  `void`
  `setReplaceable(boolean value)`
  Sets the value of the replaceable property.
  `void`
  `setReplacementPeriodStartDate(Instant value)`
  Sets the value of the replacementPeriodStartDate property.
  `void`
  `setRequestedDate(Instant value)`
  Sets the value of the requestedDate property.
  `void`
  `setRevocable(boolean value)`
  Sets the value of the revocable property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateInfoType

    public CertificateInfoType()

- ## Method Details

  - ### getRequestedDate

    public Instant getRequestedDate()
    A time stamp that identifies the moment when the certificate was first requested in the web service.
    Returns:
      possible object is `String`

  - ### setRequestedDate

    public void setRequestedDate(Instant value)
    Sets the value of the requestedDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRequestedDate()`

  - ### getPublicKeyIdentifier

    public byte[] getPublicKeyIdentifier()
    The public key identifier hash value of the authentication certificate. This serves as a unique identifier of the certificate and this value will also appear as the "Subject key identifier" extension in the delivered authentication certificate.
    Returns:
      possible object is `String`

  - ### setPublicKeyIdentifier

    public void setPublicKeyIdentifier(byte[] value)
    Sets the value of the publicKeyIdentifier property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPublicKeyIdentifier()`

  - ### getCertificateEntity

    public CertificateEntityType getCertificateEntity()
    Details about the entity for which this certificate was issued. This will contain identification information about the person or organization that requested the certificate.
    Returns:
      possible object is `CertificateEntityType`

  - ### setCertificateEntity

    public void setCertificateEntity(CertificateEntityType value)
    Sets the value of the certificateEntity property.
    Parameters:
      `value` - allowed object is `CertificateEntityType`
    See Also:
      - `getCertificateEntity()`

  - ### getAuthenticationCertificateStatus

    public CertificateStatusType getAuthenticationCertificateStatus()
    The status of the authentication certificate
    Returns:
      possible object is `CertificateStatusType`

  - ### setAuthenticationCertificateStatus

    public void setAuthenticationCertificateStatus(CertificateStatusType value)
    Sets the value of the authenticationCertificateStatus property.
    Parameters:
      `value` - allowed object is `CertificateStatusType`
    See Also:
      - `getAuthenticationCertificateStatus()`

  - ### getETKStatus

    public ETKStatusType getETKStatus()
    The status of the encryption token
    Returns:
      possible object is `ETKStatusType`

  - ### setETKStatus

    public void setETKStatus(ETKStatusType value)
    Sets the value of the etkStatus property.
    Parameters:
      `value` - allowed object is `ETKStatusType`
    See Also:
      - `getETKStatus()`

  - ### isAutomaticallyValidated

    public boolean isAutomaticallyValidated()
    Indicates how the request was validated. When set to true the identity of the requestor was validated automatically, otherwise a manual identity validation was required

  - ### setAutomaticallyValidated

    public void setAutomaticallyValidated(boolean value)
    Sets the value of the automaticallyValidated property.

  - ### getAuthenticationCertificateDetails

    public CertificateDetailsType getAuthenticationCertificateDetails()
    The identification details of the authentication certificate. This element will be missing as long as the certificate has not yet been delivered.
    Returns:
      possible object is `CertificateDetailsType`

  - ### setAuthenticationCertificateDetails

    public void setAuthenticationCertificateDetails(CertificateDetailsType value)
    Sets the value of the authenticationCertificateDetails property.
    Parameters:
      `value` - allowed object is `CertificateDetailsType`
    See Also:
      - `getAuthenticationCertificateDetails()`

  - ### isRevocable

    public boolean isRevocable()
    Can the certificate still be revoked? When set to true the Revoke operation may be called for this certificate

  - ### setRevocable

    public void setRevocable(boolean value)
    Sets the value of the revocable property.

  - ### isReplaceable

    public boolean isReplaceable()
    Can this certificate be replaced right now? When true a replacement certificate can be requested for the same DN using the GenerateCertificate operation

  - ### setReplaceable

    public void setReplaceable(boolean value)
    Sets the value of the replaceable property.

  - ### getReplacementPeriodStartDate

    public Instant getReplacementPeriodStartDate()
    Start date of the period where you are allowed to request a replacement certificate for this certificate. This is the only time that two certificates may be active for the same DN. This replacement period allows clients to replace their certificate before it expires so that they can transition to the new certificate without service interruptions. This element will only be present when an authentication certificate has already been delivered.
    Returns:
      possible object is `String`

  - ### setReplacementPeriodStartDate

    public void setReplacementPeriodStartDate(Instant value)
    Sets the value of the replacementPeriodStartDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReplacementPeriodStartDate()`

  - ### getContactData

    public ContactDataType getContactData()
    Contact data of the person or organization responsible for this certificate request
    Returns:
      possible object is `ContactDataType`

  - ### setContactData

    public void setContactData(ContactDataType value)
    Sets the value of the contactData property.
    Parameters:
      `value` - allowed object is `ContactDataType`
    See Also:
      - `getContactData()`

  - ### getBaseServiceUsages

    public List<String> getBaseServiceUsages()
    eHealth base services for which this certificate was requested to be used Gets the value of the baseServiceUsages property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baseServiceUsages property.

    For example, to add a new item, do as follows:

         getBaseServiceUsages().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the baseServiceUsages property.